Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 2737653004: UMA metrics for use count of wheel and touch scrolls. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months, 2 weeks ago by sahel
Modified:
4 months, 3 weeks ago
CC:
blink-reviews, blink-reviews-api_chromium.org, cc-bugs_chromium.org, chromium-reviews, danakj+watch_chromium.org, darin-cc_chromium.org, dglazkov+blink, dtapuska+blinkwatch_chromium.org, jam, jbauman+watch_chromium.org, kalyank, kinuko+watch, mlamouri+watch-content_chromium.org, Navid Zolghadr, piman+watch_chromium.org, Ian Vollick
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

UMA metrics for use count of wheel and touch scrolls. For Impl thread scrolling test, run the virtual threaded/fast/scroll-behavior testSuite. BUG=699272 TEST=LayoutTests/fast/scroll-behavior/wheel-and-touch-scroll-use-count.html CQ_INCLUDE_TRYBOTS=master.tryserver.blink:linux_trusty_blink_rel Review-Url: https://codereview.chromium.org/2737653004 Cr-Commit-Position: refs/heads/master@{#460140} Committed: https://chromium.googlesource.com/chromium/src/+/1b47fda711331d9d39563ce0749c5f515b186169

Patch Set 1 #

Patch Set 2 : layouttest updated. #

Total comments: 12

Patch Set 3 : function name starts with lower case. #

Patch Set 4 : use of fieldbit instead of normal enum #

Total comments: 10

Patch Set 5 : use of uint8_t instead of uint32_t #

Patch Set 6 : boolean flags used instead of fieldbit #

Total comments: 6

Patch Set 7 : initializations done. #

Patch Set 8 : re-baselined. #

Patch Set 9 : TODO for GRC usage added. #

Unified diffs Side-by-side diffs Delta from patch set Stats (+201 lines, -3 lines) Patch
M cc/test/layer_tree_test.cc View 1 2 3 4 5 6 7 1 chunk +3 lines, -0 lines 0 comments Download
M cc/test/stub_layer_tree_host_client.h View 1 chunk +2 lines, -0 lines 0 comments Download
M cc/trees/layer_tree_host.h View 1 2 3 4 5 6 7 1 chunk +1 line, -0 lines 0 comments Download
M cc/trees/layer_tree_host.cc View 1 2 3 4 5 6 7 2 chunks +12 lines, -0 lines 0 comments Download
M cc/trees/layer_tree_host_client.h View 1 chunk +3 lines, -0 lines 0 comments Download
M cc/trees/layer_tree_host_common.h View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M cc/trees/layer_tree_host_common.cc View 1 2 3 4 5 6 7 1 chunk +4 lines, -2 lines 0 comments Download
M cc/trees/layer_tree_host_impl.h View 1 2 3 4 5 6 7 8 2 chunks +13 lines, -0 lines 0 comments Download
M cc/trees/layer_tree_host_impl.cc View 1 2 3 4 5 6 7 4 chunks +17 lines, -1 line 0 comments Download
M content/browser/renderer_host/compositor_impl_android.h View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M content/renderer/gpu/render_widget_compositor.h View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M content/renderer/gpu/render_widget_compositor.cc View 1 2 3 4 5 6 7 1 chunk +7 lines, -0 lines 0 comments Download
M content/renderer/gpu/render_widget_compositor_delegate.h View 1 2 3 4 5 6 7 1 chunk +6 lines, -0 lines 0 comments Download
M content/renderer/gpu/render_widget_compositor_unittest.cc View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M content/renderer/render_widget.h View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M content/renderer/render_widget.cc View 1 2 3 4 5 6 7 1 chunk +7 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/fast/scroll-behavior/wheel-and-touch-scroll-use-count.html View 1 2 3 1 chunk +77 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/input/ScrollManager.cpp View 1 2 3 4 5 6 7 1 chunk +6 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/testing/WebLayerTreeViewImplForTesting.h View 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/platform/testing/WebLayerTreeViewImplForTesting.cpp View 1 2 3 4 5 6 7 1 chunk +4 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/web/WebViewFrameWidget.h View 1 2 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/web/WebViewFrameWidget.cpp View 1 2 1 chunk +7 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/web/WebViewImpl.h View 1 2 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/web/WebViewImpl.cpp View 1 2 3 4 5 6 7 1 chunk +11 lines, -0 lines 0 comments Download
M third_party/WebKit/public/web/WebWidget.h View 1 2 1 chunk +3 lines, -0 lines 0 comments Download
M ui/compositor/compositor.h View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
Trybot results:  mac_chromium_rel_ng   chromium_presubmit   mac_chromium_rel_ng   mac_chromium_rel_ng   chromium_presubmit   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   win_chromium_x64_rel_ng   mac_chromium_compile_dbg_ng   cast_shell_linux   linux_android_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   mac_chromium_rel_ng   ios-device   chromeos_daisy_chromium_compile_only_ng   linux_chromium_compile_dbg_ng   win_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   win_chromium_rel_ng   win_clang   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_rel_ng   linux_trusty_blink_rel   ios-simulator-xcode-clang   ios-simulator   android_n5x_swarming_rel   android_compile_dbg   cast_shell_android   android_arm64_dbg_recipe   android_cronet   android_clang_dbg_recipe   linux_chromium_chromeos_rel_ng   win_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   ios-simulator   mac_chromium_compile_dbg_ng   android_clang_dbg_recipe   cast_shell_linux   ios-device   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   android_cronet   cast_shell_android   ios-simulator-xcode-clang   android_compile_dbg   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_rel_ng   chromium_presubmit   win_chromium_rel_ng   linux_chromium_asan_rel_ng   android_n5x_swarming_rel   mac_chromium_rel_ng   linux_chromium_chromeos_rel_ng   win_clang   linux_trusty_blink_rel   win_chromium_compile_dbg_ng   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 101 (69 generated)
sahel
5 months, 2 weeks ago (2017-03-08 21:07:04 UTC) #16
dtapuska
https://codereview.chromium.org/2737653004/diff/60001/cc/trees/layer_tree_host.cc File cc/trees/layer_tree_host.cc (right): https://codereview.chromium.org/2737653004/diff/60001/cc/trees/layer_tree_host.cc#newcode749 cc/trees/layer_tree_host.cc:749: break; Can you return here? https://codereview.chromium.org/2737653004/diff/60001/third_party/WebKit/public/web/WebWidget.h File third_party/WebKit/public/web/WebWidget.h (right): ...
5 months, 2 weeks ago (2017-03-08 21:18:00 UTC) #21
bokan
https://codereview.chromium.org/2737653004/diff/60001/cc/input/input_handler.h File cc/input/input_handler.h (right): https://codereview.chromium.org/2737653004/diff/60001/cc/input/input_handler.h#newcode115 cc/input/input_handler.h:115: SCROLLED_BY_TOUCH, Make this a bitfield. i.e. SCROLLED_BY_TOUCH = 0x1, ...
5 months, 2 weeks ago (2017-03-09 17:31:03 UTC) #26
bokan
https://codereview.chromium.org/2737653004/diff/60001/third_party/WebKit/Source/core/input/ScrollManager.cpp File third_party/WebKit/Source/core/input/ScrollManager.cpp (right): https://codereview.chromium.org/2737653004/diff/60001/third_party/WebKit/Source/core/input/ScrollManager.cpp#newcode240 third_party/WebKit/Source/core/input/ScrollManager.cpp:240: if (gestureEvent.sourceDevice == WebGestureDeviceTouchscreen) On 2017/03/09 17:31:03, bokan wrote: ...
5 months, 2 weeks ago (2017-03-09 18:31:16 UTC) #29
sahel
https://codereview.chromium.org/2737653004/diff/60001/cc/input/input_handler.h File cc/input/input_handler.h (right): https://codereview.chromium.org/2737653004/diff/60001/cc/input/input_handler.h#newcode115 cc/input/input_handler.h:115: SCROLLED_BY_TOUCH, On 2017/03/09 17:31:03, bokan wrote: > Make this ...
5 months, 2 weeks ago (2017-03-10 16:21:33 UTC) #45
bokan
lgtm https://codereview.chromium.org/2737653004/diff/60001/third_party/WebKit/LayoutTests/fast/scroll-behavior/wheel-and-touch-scroll-use-count.html File third_party/WebKit/LayoutTests/fast/scroll-behavior/wheel-and-touch-scroll-use-count.html (right): https://codereview.chromium.org/2737653004/diff/60001/third_party/WebKit/LayoutTests/fast/scroll-behavior/wheel-and-touch-scroll-use-count.html#newcode45 third_party/WebKit/LayoutTests/fast/scroll-behavior/wheel-and-touch-scroll-use-count.html:45: // is not supported for mac. On 2017/03/10 ...
5 months, 2 weeks ago (2017-03-10 16:27:13 UTC) #46
sahel
@danakj please review changes at: cc/* ui/compositor/compositor.h @aelias please review changes at: content/browser/renderer_host/compositor_impl_android.h @esprehn please ...
5 months, 2 weeks ago (2017-03-10 20:35:26 UTC) #48
aelias_OOO_until_Jul13
renderer_host lgtm
5 months, 2 weeks ago (2017-03-10 20:41:36 UTC) #49
danakj
https://codereview.chromium.org/2737653004/diff/160001/cc/input/input_handler.h File cc/input/input_handler.h (right): https://codereview.chromium.org/2737653004/diff/160001/cc/input/input_handler.h#newcode114 cc/input/input_handler.h:114: enum : uint32_t { Why do you specify the ...
5 months, 2 weeks ago (2017-03-10 20:52:48 UTC) #50
sahel
https://codereview.chromium.org/2737653004/diff/160001/cc/input/input_handler.h File cc/input/input_handler.h (right): https://codereview.chromium.org/2737653004/diff/160001/cc/input/input_handler.h#newcode114 cc/input/input_handler.h:114: enum : uint32_t { On 2017/03/10 20:52:48, danakj wrote: ...
5 months, 1 week ago (2017-03-13 20:13:43 UTC) #55
danakj
https://codereview.chromium.org/2737653004/diff/160001/cc/trees/layer_tree_host_common.h File cc/trees/layer_tree_host_common.h (right): https://codereview.chromium.org/2737653004/diff/160001/cc/trees/layer_tree_host_common.h#newcode180 cc/trees/layer_tree_host_common.h:180: uint32_t scroll_source_info; On 2017/03/13 20:13:43, sahel wrote: > On ...
5 months, 1 week ago (2017-03-13 20:16:23 UTC) #56
sahel
https://codereview.chromium.org/2737653004/diff/160001/cc/trees/layer_tree_host_common.h File cc/trees/layer_tree_host_common.h (right): https://codereview.chromium.org/2737653004/diff/160001/cc/trees/layer_tree_host_common.h#newcode180 cc/trees/layer_tree_host_common.h:180: uint32_t scroll_source_info; On 2017/03/13 20:16:23, danakj wrote: > On ...
5 months, 1 week ago (2017-03-13 21:03:52 UTC) #57
danakj
https://codereview.chromium.org/2737653004/diff/160001/cc/trees/layer_tree_host_common.h File cc/trees/layer_tree_host_common.h (right): https://codereview.chromium.org/2737653004/diff/160001/cc/trees/layer_tree_host_common.h#newcode180 cc/trees/layer_tree_host_common.h:180: uint32_t scroll_source_info; On 2017/03/13 21:03:52, sahel wrote: > On ...
5 months, 1 week ago (2017-03-13 22:29:15 UTC) #58
sahel
https://codereview.chromium.org/2737653004/diff/160001/cc/trees/layer_tree_host_common.h File cc/trees/layer_tree_host_common.h (right): https://codereview.chromium.org/2737653004/diff/160001/cc/trees/layer_tree_host_common.h#newcode180 cc/trees/layer_tree_host_common.h:180: uint32_t scroll_source_info; On 2017/03/13 22:29:15, danakj wrote: > On ...
5 months, 1 week ago (2017-03-16 12:58:26 UTC) #63
danakj
Thanks, I like this https://codereview.chromium.org/2737653004/diff/200001/cc/trees/layer_tree_host_common.h File cc/trees/layer_tree_host_common.h (right): https://codereview.chromium.org/2737653004/diff/200001/cc/trees/layer_tree_host_common.h#newcode180 cc/trees/layer_tree_host_common.h:180: bool has_scrolled_by_wheel; where do these ...
5 months, 1 week ago (2017-03-16 15:19:21 UTC) #64
sahel
https://codereview.chromium.org/2737653004/diff/200001/cc/trees/layer_tree_host_common.h File cc/trees/layer_tree_host_common.h (right): https://codereview.chromium.org/2737653004/diff/200001/cc/trees/layer_tree_host_common.h#newcode180 cc/trees/layer_tree_host_common.h:180: bool has_scrolled_by_wheel; On 2017/03/16 15:19:21, danakj wrote: > where ...
5 months, 1 week ago (2017-03-17 21:02:34 UTC) #69
danakj
cc LGTM
5 months ago (2017-03-20 15:22:31 UTC) #70
esprehn
5 months ago (2017-03-20 23:12:43 UTC) #72
sahel
pfeldman@chromium.org: Please review changes in content/renderer/* third_party/Webkit/*
5 months ago (2017-03-22 14:48:53 UTC) #76
pfeldman
That's a lot of plumbing for a use counter signal. Could you explain the data ...
5 months ago (2017-03-22 17:16:54 UTC) #77
sahel
On 2017/03/22 17:16:54, pfeldman wrote: > That's a lot of plumbing for a use counter ...
5 months ago (2017-03-22 18:34:20 UTC) #78
bokan
Just to add: an obvious followup question is "why not just record the metric from ...
5 months ago (2017-03-22 18:40:57 UTC) #79
pfeldman
I see. I ask because there is an ongoing project called "GRC" that aims at ...
5 months ago (2017-03-22 18:58:26 UTC) #80
pfeldman
(/public/web/WebWidget.h public API that you expose is particularly awkward - you plumb this information cc ...
5 months ago (2017-03-22 19:06:29 UTC) #82
bokan
What's the approximate timeline like for the new API? This metric isn't urgent, but we've ...
5 months ago (2017-03-22 19:16:13 UTC) #83
oystein (OOO til 10th of July)
On 2017/03/22 at 19:16:13, bokan wrote: > What's the approximate timeline like for the new ...
5 months ago (2017-03-23 21:07:50 UTC) #84
sahel
I added the TODO for GRC use.
4 months, 4 weeks ago (2017-03-27 14:34:09 UTC) #90
pfeldman
lgtm
4 months, 4 weeks ago (2017-03-27 21:10:45 UTC) #91
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2737653004/280001
4 months, 4 weeks ago (2017-03-27 21:26:00 UTC) #94
commit-bot: I haz the power
Try jobs failed on following builders: mac_chromium_rel_ng on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/mac_chromium_rel_ng/builds/415808)
4 months, 3 weeks ago (2017-03-27 23:48:06 UTC) #96
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2737653004/280001
4 months, 3 weeks ago (2017-03-28 14:46:25 UTC) #98
commit-bot: I haz the power
4 months, 3 weeks ago (2017-03-28 17:08:44 UTC) #101
Message was sent while issue was closed.
Committed patchset #9 (id:280001) as
https://chromium.googlesource.com/chromium/src/+/1b47fda711331d9d39563ce0749c...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b